Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class ElGamalGenParameterSpec

    java.lang.Object
      org.bouncycastle.jce.spec.ElGamalGenParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

    public class ElGamalGenParameterSpec

extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

Constructor Summary
`ElGamalGenParameterSpec(int primeSize)`

Method Summary
`int` `getPrimeSize()` Returns the size in bits of the prime modulus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalGenParameterSpec

    public ElGamalGenParameterSpec(int primeSize)

Method Detail

### getPrimeSize

    public int getPrimeSize()

  Returns the size in bits of the prime modulus.

  Returns:
    the size in bits of the prime modulus

Bouncy Castle Cryptography Library 1.45